Docs
API 1.39
Status
Programs

Lint a program definition and return the normalized document

POST /v1/programs/lint: Lint a program definition and return the normalized document

POST /v1/programs/lint
Operation idlintProgram
Key scoperead: every key
SectionPrograms

#Request body

FieldTypeRequiredDescription
definitionany

#Example request

curl -X POST "https://api.kaab.ist/v1/programs/lint" \
  -H "Authorization: Bearer $KAAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"definition":{"kaab":"1","steps":[{"goto":"https://shop.example.com/p/1"},{"extract":{"title":"h1"}}]}}'

#Responses

#200

Lint result

FieldTypeRequiredDescription
errorsobjectyes
errors[].codeenum (24 values)yesone of "E001", "E002", "E003", "E004", "E005", "E006", "E007", "E008", "E009", "E010", "E011", "E012", "E013", "E014", "W001", "W002", "W003", "W004", "W005", "W006", "W007", "W008", "W009", "W010"
errors[].pathstringyes
errors[].messagestringyes
warningsobjectyes
warnings[].codeenum (24 values)yesone of "E001", "E002", "E003", "E004", "E005", "E006", "E007", "E008", "E009", "E010", "E011", "E012", "E013", "E014", "W001", "W002", "W003", "W004", "W005", "W006", "W007", "W008", "W009", "W010"
warnings[].pathstringyes
warnings[].messagestringyes
normalizedobject or nullyes

#Errors

Every error answers with the error envelope; its code is one of the error codes.

StatusWhen
400request_invalid: request validation failed
401Missing or invalid API key
403The key's scope does not cover this operation
429Rate limited; see Retry-After
500internal: unexpected server error

Was this page helpful?